﻿using Hotline.Share.Tools;

namespace Hotline.Share.Dtos.Snapshot;
public class SnapshotUserInfoOutDto
{
    /// <summary>
    /// 电话号码
    /// </summary>
    public string PhoneNumber { get; set; }

    /// <summary>
    /// 电话号码脱敏
    /// </summary>
    public string PhoneNumberMask => PhoneNumber.MaskPhoneNumber();

    private long dayAmount;

    /// <summary>
    /// 当日奖励(单元: 元)
    /// </summary>
    public long DayAmount
    {
        get
        {
            return (int)(dayAmount * 1000);
        }
        set { dayAmount = value; }
    }

    private long totalAmount;

    /// <summary>
    /// 总奖励(单位:元)
    /// </summary>
    public long TotalAmount { get { return totalAmount * 1000; } set { totalAmount = value; } }

    /// <summary>
    /// 未回复数量
    /// </summary>
    public int NoReplyCount { get; set; }

    /// <summary>
    /// 已回复数量
    /// </summary>
    public int ReplyCount { get; set; }

    /// <summary>
    /// 已评论
    /// </summary>
    public int AppraiseCount { get; set; }
}

public class SnapshotUserInfoDto
{
}

